curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-lei-lookup-companies-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "Apple",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-lei-lookup-companies-search"
payload = {
"keyword": "Apple",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'Apple', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-lei-lookup-companies-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "lei_lookup_companies_search",
"keyword": "Apple",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# LEI Lookup (lei-lookup.com) — company search\n\n- **Keyword:** Apple\n- **Results:** 2 of 535 found\n- **Proxy traffic:** 852.9 KB",
"machine": {
"total_items": 2,
"first_item": {
"registration_number": "969500RDBEVTUKOLE690",
"name": "APPLE 12",
"status": "ACTIVE",
"lei_status": "ISSUED",
"country": "FR",
"country_name": "France, French Republic",
"address": null,
"url": "https://www.lei-lookup.com/record/969500RDBEVTUKOLE690/",
"company_type": null,
"incorporation_date": null
},
"items": [
{
"registration_number": "969500RDBEVTUKOLE690",
"name": "APPLE 12",
"status": "ACTIVE",
"lei_status": "ISSUED",
"country": "FR",
"country_name": "France, French Republic",
"address": null,
"url": "https://www.lei-lookup.com/record/969500RDBEVTUKOLE690/",
"company_type": null,
"incorporation_date": null
},
{
"registration_number": "254900921E0B9FYOV860",
"name": "Apple Apparelss",
"status": "ACTIVE",
"lei_status": "LAPSED",
"country": "IN",
"country_name": "India",
"address": null,
"url": "https://www.lei-lookup.com/record/254900921E0B9FYOV860/",
"company_type": null,
"incorporation_date": null
}
],
"total_found": 535,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 873323
},
"total_points": 2
}LEI Lookup companies search
Search the public register of Legal Entity Identifiers by company name or LEI code: LEI, name, country, entity status, LEI registration status and link. Filter by entity status (active or inactive), LEI registration status and country. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Company name or LEI. e.g. Apple
Max items (up to 250)
1 <= x <= 250Starting page
x >= 1Entity status. Options: active = Active, inactive = Inactive / dissolved
active, inactive LEI status. Options: ISSUED = Issued, LAPSED = Lapsed, ANNULLED = Annulled, MERGED = Merged, RETIRED = Retired, DUPLICATE = Duplicate, PENDING_TRANSFER = Pending transfer, PENDING_ARCHIVAL = Pending archival
ISSUED, LAPSED, ANNULLED, MERGED, RETIRED, DUPLICATE, PENDING_TRANSFER, PENDING_ARCHIVAL Country (2-letter code). e.g. DE
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.